Bug 844106

Summary: CVE-2012-3438 GraphicsMagick: png_IM_malloc() size argument [fedora-all]
Product: [Fedora] Fedora Reporter: Kurt Seifried <kseifried>
Component: GraphicsMagickAssignee: Andreas Thienemann <andreas>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 16CC: andreas, rdieter
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-07 07:34:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 844105    

Description Kurt Seifried 2012-07-28 19:02:55 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=844105

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-08-20 23:48:55 EDT
GraphicsMagick-1.3.16-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.fc18
Comment 2 Fedora Update System 2012-08-20 23:49:58 EDT
GraphicsMagick-1.3.16-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.fc17
Comment 3 Fedora Update System 2012-08-20 23:51:07 EDT
GraphicsMagick-1.3.16-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.fc16
Comment 4 Fedora Update System 2012-08-21 00:52:42 EDT
Package GraphicsMagick-1.3.16-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing GraphicsMagick-1.3.16-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12333/GraphicsMagick-1.3.16-5.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-07 07:31:06 EDT
GraphicsMagick-1.3.16-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-09-07 07:34:35 EDT
GraphicsMagick-1.3.16-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-17 19:48:34 EDT
GraphicsMagick-1.3.16-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.